<?php

namespace Tests\Feature\API;

use App\Models\Project;
use App\Models\TeamMember;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\Feature\TestCase;

class TeamMemberTest extends TestCase
{
    public function test_team_members_list()
    {
        TeamMember::factory(30)->create();

        $response = $this->getJson(route('team-member.list', ['project' => Project::query()->first()->id]));

        $response->assertStatus(200)
            ->assertJsonStructure([
                'data' => [
                    '*' => [
                        'id',
                        'user',
                        'user_id',
                        'role',
                        'limited',
                        'join_at',
                    ]
                ]
            ]);
    }

    public function test_team_member_delete(): void
    {
        $teamMember = TeamMember::factory()->create();

        $response = $this->delete(route('team-member.destroy', ['team_member' => $teamMember->id]));

        $response->assertStatus(204);

        $this->assertNull(TeamMember::find($teamMember->id));
    }
}
